Repository 32bit  Forum
Repository 64bit  Wiki

[Risolto]: banshee e vlc: non vanno filmati avi

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[Risolto]: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » sab apr 09, 2011 14:30

ciao a tutti
1) Banshee: non riesco a leggere i filmati .avi: si apre la schermata di banshee, per alcuni compare il titolo ma non parte.


2) VLC idem, mi dice:

VLC non supporta il formato audio o video "mp4v".

si sente l'audio ma niente video.
Praticamente con Slackware vedo i filmati solo con Xine.

suggerimenti ???
grazie
james
Ultima modifica di james2221 il mar apr 12, 2011 7:00, modificato 1 volta in totale.
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10

Re: banshee e vlc: non vanno filmati avi

Messaggioda 414N » sab apr 09, 2011 14:54

Di grazia, queste applicazioni come sono finite sul tuo sistema?
Hai compilato i sorgenti tu? Installato pacchetti di terzi?
Dal problema, mi sa che hai installato dei pacchetti scaricati senza controllarne le dipendenze...
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » sab apr 09, 2011 15:35

ciao
bello quel "di grazia" ci stava proprio bene.

banshee-1.8.1-i686-70.1.txz

mi sono appoggiato a zenwalk
l'unica dipendenza che non ho installato è "boo" ma pare che non sia indispensabile. è che non ho indicazioni, neanche da terminale, l'unica indicazione viene da vlc.
Se puo essere d'aiuto: quando ho tentato di farlo partire la prima volta mi diceva che mancava "mono" che però era regolarmente installato.
Ho reinstallato di nuovo "mono" stessa versione ecc ed è partita la grafica e funzionato l'audio, però video niente.
Può essere che, come per mono, debba rivedere tutte le dipendenze?
Da quale altra parte devo vedere le dipendenze? se le confronto con quelle di Arch o di Debian vanno bene?
grazie
james
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10

Re: banshee e vlc: non vanno filmati avi

Messaggioda 414N » sab apr 09, 2011 17:22

james2221 ha scritto:ciao
bello quel "di grazia" ci stava proprio bene.

banshee-1.8.1-i686-70.1.txz

Il nome del pacchetto in sé non aiuta a capire da dove l'hai scaricato.
james2221 ha scritto:mi sono appoggiato a zenwalk

Nulla di male (se proprio non si hanno alternative), ma io mi appoggerei a pacchetti di altre distro compatibili con Slackware solo come ultima spiaggia. Il perché nel seguito.
james2221 ha scritto:l'unica dipendenza che non ho installato è "boo" ma pare che non sia indispensabile. è che non ho indicazioni, neanche da terminale, l'unica indicazione viene da vlc.
Se puo essere d'aiuto: quando ho tentato di farlo partire la prima volta mi diceva che mancava "mono" che però era regolarmente installato.
Ho reinstallato di nuovo "mono" stessa versione ecc ed è partita la grafica e funzionato l'audio, però video niente.
Può essere che, come per mono, debba rivedere tutte le dipendenze?
Da quale altra parte devo vedere le dipendenze? se le confronto con quelle di Arch o di Debian vanno bene?
grazie
james

banshee è un'applicazione per Gnome, quindi ti serve una barca di dipendenze "gnomesche" per farlo andare. Il problema è che Slackware non supporta Gnome di suo: non che sia impossibile (basti guardare GSB, per esempio), ma è necessario apportare importanti modifiche alle impostazioni di sistema ed è stato proprio per questo motivo che Slackware non include più Gnome da qualche release.
Da quello che scrivi, comunque, mi pare proprio che il discorso delle dipendenze di un programma non ti sia chiaro. Vediamo di fare un po' di luce sull'argomento.
Le dipendenze per un programma sono principalmente di due tipi: dipendenze a compile-time e dipendenze a runtime.
Le dipendenze a compile-time sono quei programmi/librerie/header richiesti per produrre un binario dai sorgenti del programma di interesse. Una volta ottenuti questi binari (magari anche pacchettizzati), si potrebbero anche rimuovere le dipendenze di compile-time perché hanno già assolto al loro compito. È quello che viene fatto nei sistemi Ubuntu-like, nei quali devi installare un mare di pacchetti xxx-dev ogni volta che devi compilare qualcosa da sorgente. Questo perché nel sistema non vengono installati di default gli header ed altre informazioni utili quando si compila un programma, ma inutili quando si eseguono solo programmi. Su Slackware non si fa questa distinzione (quando installi una libreria, installi anche le informazioni utili per sfruttarla anche durante le tue compilazioni).
Le dipendenze a runtime sono invece i programmi/librerie (al 99% librerie) che sono richiesti per il corretto funzionamento del programma durante la sua esecuzione. La mancanza di una di queste dipendenze impedisce al programma intero o ad una parte di esso di funzionare (dipende dalla modularità del programma in questione). Ovviamente, le scelte effettuate a compile-time incidono al 99% sulle dipendenze dello stesso programma a run-time.
Quando scarichi ed installi pacchetti Slackware già fatti non hai modo di sapere con esattezza le scelte che sono state fatte durante la sua creazione, a meno che il pacchettizzatore non pubblichi un elenco delle dipendenze (a runtime) indotte dalle sue scelte a compile-time.
Percui, a parità di programma (es: VLC), i vari pacchetti che trovi in giro avranno requisiti di dipendenze diversi a seconda delle scelte del pacchettizzatore.
Facciamo un esempio proprio su VLC.
  • VLC è basato su libavcodec/libavformat, ovvero le librerie alla base di ffmpeg per gestire la riproduzione di una pletora di formati audio/video. Quindi ffmpeg si infila di prepotenza tra le dipendenze di compile-time e runtime di VLC.
  • Ffmpeg può essere compilato in molti modi diversi. Specificando opzioni diverse in fase di configurazione, si può ottenere un ffmpeg che supporta quasi tutti i formati multimediali umanamente concepiti negli ultimi 20 anni (se non di più) oppure solo un sottoinsieme di tali formati, magari senza problemi di licenze/brevetti (pensa al pacchetto ffmpeg fornito con Ubuntu, che non supporta MP3). Tutte queste scelte sono configurabili quando si compila il pacchetto e a discrezione di chi lo compila. Ovviamente, ogni libreria che si sceglie di usare si aggiunge alla lista delle dipendenze di VLC.
  • Se guardi qui su Slacky (non capisco perché ti appoggi ad altre distro per trovare pacchetti :-k ), un pacchetto di VLC (occhio che quello nel link è a 32 bit) è presente e possiede un elevato numero di dipendenze. Questo perché Gohanz ha scelto di sfruttare librerie che possono essere condivise con altri programmi.
  • Viceversa, Alien BOB ha optato per costruire un pacchetto di VLC senza dipendenze a runtime, perché contiene già al suo interno tutte le librerie richieste. I pacchetti sono nelle subdir pkg o pkg64
  • Un pacchetto di VLC per ZenWalk, Debian o Arch cercherà, come librerie d'appoggio (se non compilato staticamente), quelle che il pacchettizzatore aveva nel suo sistema e, dato che il suo sistema non era Slackware, alcune librerie non potranno essere trovate su Slackware oppure potrebbero essere presenti in versioni diverse da quelle aspettate, dando origine a malfunzionamenti gratuiti. Il fatto che i pacchetti di alcune distribuzioni derivate da Slackware siano compatibili con quest'ultima non implica che allora funzioneranno sulla progenitrice. La compatibilità, in questo caso, riguarda solo il formato del pacchetto, non i suoi contenuti.
Spero di essere stato esauriente (anf pant :p).
Il mio consiglio è di cercare meglio sorgenti affidabili e Slackwariane per i pacchetti che vuoi usare, e, nel caso non ne trovassi, il metodo migliore consiste nel compilarseli da sé, magari aiutati da uno SlackBuild.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » sab apr 09, 2011 21:20

@414N
mi hai praticamente annichilito, ti ringrazio molto per il tempo che ti sei preso, ti sarai anche divertito, non ne dubito, ma una pappardella così, grammaticamente e ortograficamente a posto ti è costata sicuramente qualche quarto d'ora di lavoro. Ovviamente non sono stato in grado di capire tutto, quello che ho capito è che ci devo andare con i piedi di piombo a installare programmi, e che prima di postare un problema devo sfangarmi la ricerca di tutte le dipendenze, vedere bene cosa fanno e cosa sono. Vlc l'avevo scaricato dai repositori di Slack, pensavo che affidandomi a ZenWalk potesse andar bene, e così mi pareva di aver letto sui vari blog. Quindi ho seguito quella linea: scaricato il pacchetto di Banshee da ZenWalk e rispettato quelle dipendenze. Ora so che potrebbe non essere così. Nei prossimi giorni mi rivedo innanzitutto Vlc, avrà un migliaio di pacchetti e pacchettini regalo, vedrò di farlo andare, poi cancello tutto Banshee valutando se scaricare qualche altro player oppure se insistere. Piu che altro a scopo didattico, lo avrai capito. Mi piaceva Banshee perchè lo uso su altre distro e so che su Ubuntu 11.4 sarà il player di default, poi aveva poche dipendenze, al problema Gnome non avevo minimamente pensato, e comunque xfce4 che uso ha tante dip gnome. Quello che mi aspettavo era che la consolle mi desse errore, ovvero: non ti va il video perchè manca la libreria libpincopallino. Troppo facile, eh?
Avrei anche il problema della stamp su un altro thred ma è il caso di soprassedere ancora un po', non vorrei ne fondermi il cervello ne essere troppo invadente.

Ti ringrazio di nuovo
ci sentiremo

james
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10

Re: banshee e vlc: non vanno filmati avi

Messaggioda 414N » dom apr 10, 2011 9:11

james2221 ha scritto:@414N
mi hai praticamente annichilito, ti ringrazio molto per il tempo che ti sei preso, ti sarai anche divertito, non ne dubito, ma una pappardella così, grammaticamente e ortograficamente a posto ti è costata sicuramente qualche quarto d'ora di lavoro. Ovviamente non sono stato in grado di capire tutto, quello che ho capito è che ci devo andare con i piedi di piombo a installare programmi, e che prima di postare un problema devo sfangarmi la ricerca di tutte le dipendenze, vedere bene cosa fanno e cosa sono.

Figurati. Il succo è proprio quello di stare attenti a cosa stai installando e cosa hai bisogno di tirarti dietro per farlo andare al meglio.
james2221 ha scritto:Vlc l'avevo scaricato dai repositori di Slack, pensavo che affidandomi a ZenWalk potesse andar bene, e così mi pareva di aver letto sui vari blog.

Quello che non ho capito è se hai scaricato solo VLC da Slacky o anche tutte le sue dipendenze, dato che, se presenti nell'elenco, i programmi/librerie richiesti sono presenti anche su Slacky.
james2221 ha scritto:Quindi ho seguito quella linea: scaricato il pacchetto di Banshee da ZenWalk e rispettato quelle dipendenze. Ora so che potrebbe non essere così.

Dando un'occhiata veloce al sito di Zenwalk (non l'ho mai provata), ho notato che è disponibile in varie edizioni base, ma anche in edizione Gnome oppure OpenBox. Già da questo si può dedurre che le differenze con Slackware non siano poche, dato che Gnome si tira dietro una marea di programmi/librerie tutte sue.
james2221 ha scritto:Nei prossimi giorni mi rivedo innanzitutto Vlc, avrà un migliaio di pacchetti e pacchettini regalo, vedrò di farlo andare, poi cancello tutto Banshee valutando se scaricare qualche altro player oppure se insistere. Piu che altro a scopo didattico, lo avrai capito. Mi piaceva Banshee perchè lo uso su altre distro e so che su Ubuntu 11.4 sarà il player di default, poi aveva poche dipendenze, al problema Gnome non avevo minimamente pensato, e comunque xfce4 che uso ha tante dip gnome.

Se usi il pacchetto di VLC di Alien BOB non hai bisogno di installare alcuna dipendenza, dato che queste sono già state compilate staticamente nel binario di vlc stesso. Se il tuo intento è esercitarti con la gestione delle dipendenze, allora vai con quello di Slacky.
Spero che per installare Banshee tu non abbia usato un qualche gestore di pacchetti che automatizzi pure la gestione delle dipendenze. In questo caso rischi di aver sovrascritto librerie di sistema Slackware con librerie di Zenwalk. Questo è male. Un po' come "incrociare i flussi" negli anni '80 ;)
Dato che, comunque, Banshee resta un programma sviluppato sulla base di Gnome, il mio consiglio è di non "intestardirti" a farlo andare a tutti i costi su Slackware, perché probabilmente ti troverai ad affrontare il problema di dover installare mezzo mondo Gnome solo per far andare quel programma. Secondo me è meglio orientarsi verso alternative basate su tecnologie che hai già installate nel sistema (KDE, Qt e GTK). Se Amarok 2 non ti piace, puoi sempre provare clementine, un fork di Amarok 1.x. È presente pure qui su Slacky.
james2221 ha scritto: Quello che mi aspettavo era che la consolle mi desse errore, ovvero: non ti va il video perchè manca la libreria libpincopallino. Troppo facile, eh?

Tutto dipende dal programma in questione. Su GNU/Linux, esistono due modi per chiamare funzioni di librerie condivise dai programmi.
Il famoso messaggio di errore della libreria libpincopallino non trovata all'avvio di un programma ti viene mostrato solo se quel programma è stato linkato alla libreria tramite "dynamic linking". Con questo metodo, si delega al sistema il caricamento di tutte le librerie che il programma userà prima del suo avvio. Se il programma usa questo metodo di caricamento delle librerie condivise, il comando
Codice: Seleziona tutto
ldd /path/del/programma
permette di vedere l'elenco di librerie di appoggio dell'eseguibile indicato. Se manca anche solo una di queste librerie, il sistema bloccherà l'esecuzione del programma dicendo che almeno una delle librerie richieste non è stata trovata.
Viceversa, se il programma usa il "dynamic loading" delle librerie condivise, il compito di caricare le librerie utilizzate non è delegato al sistema, ma al programma stesso. In questo modo, è possibile che l'applicazioni funzioni lo stesso anche se mancano alcune librerie, poiché l'applicazione ha modo di gestire tale mancanza (non viene bloccata a priori dal sistema). Questo metodo viene utilizzato anche nelle applicazioni che supportano i plugin, poiché questi vengono cercati ed usati (se presenti) a runtime. Se vuoi approfondire il discorso librerie condivise, questa pagina spiega nel dettaglio quanto ti ho anticipato.
james2221 ha scritto:Avrei anche il problema della stamp su un altro thred ma è il caso di soprassedere ancora un po', non vorrei ne fondermi il cervello ne essere troppo invadente.

Ti ringrazio di nuovo
ci sentiremo

Beh, ci sentiamo sull'altro thread allora ;)
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: banshee e vlc: non vanno filmati avi

Messaggioda rik70 » lun apr 11, 2011 10:47

Confermo, se può essere utile, che il problema riguardante VLC ha a che fare con le libavcodec di ffmpeg: probabilmente - come dicevate sopra - o non sono installate, oppure sul sistema sono presenti in una versione differente da quella utilizzata per compilare VLC.

Notare che in VLC il linking - eventuale - alle libavcodec non riguarda tanto il binario (vlc), ma i plugin utilizzati per riprodurre i formati audio e video: solitamente questi si trovano nella directory '/usr/lib/vlc/plugins/codec'.

In particolare:

/usr/lib/vlc/plugins/codec/libavcodec_plugin.so


Es.:
Codice: Seleziona tutto
ldd /usr/lib/vlc/plugins/codec/libavcodec_plugin.so | grep avcodec


restituisce un:
libavcodec.so.52 => /usr/lib/libavcodec.so.52 (0xb6e0a000)


Bye
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1179
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » lun apr 11, 2011 15:51

ciao
1) VLC:
ho risolto appoggiandomi a Alien Bob.
il ragionamento sulle librerie non mi è ancora chiarissimo sopratutto in merito alle librerie runtime ma sto vedendo
The light at the end of the tunnel (piaciuto l'aforisma? potrei registrarlo e farci un logo, ci penserò...intanto che nessuno si azzardi a copiarlo)
I repository di Alien sono praticamente una miniera, mi sembra perfino tutto troppo comodo. Per ora mi accontento di questo, in seguito vorrei studiare i post di questo thread e i link segnalati per sbrogliarmela con i soli repository di Slack

2) Banshee:
non mi arrendo, avendo già funzionante Exaile che è gnomesco (e comunque ho installato Xce4 che ha tanto di gnome) non vedo perchè sto testa di ciufolo di Banshe non mi faccia leggere gli .avi mentre invece gli audio funzionano. Farò una bella roba: procastino a tempo debito la storia di banshee (tanto musica e film mi vanno), mi studio bene le lib e vedo di farlo andare.Clementine ce l'ho già su Sabayon, mi piace ma ovviamente fa solo musica.

D'ora in poi il mio nick sarà

james2221 il procastinatore

ho rinviato vlc, rinvio banshee, rinvio problemi stamp/scann, ho problemi su Arch con lo scanner ovviamente ho rinviato la soluzione, ho problemi stamp su Sabayon anche li rinviato la soluzione. Almeno in Debian non ho niente in sospeso

Il mio non è un pc normale, è la Salerno-Reggio Calabria dei portatili.

grazie a tutti per la collaborazione
non metto risolto fino a che non mi va anche banshee

ciao
riapro @rik70
la libreria libavcodec.so.52 era installata precedentemente alla mia nuova installazione Alien Bob ma adesso non c'è, ma siccome funziona per ora non mi pongo il problema.
grazzzz
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10

Re: banshee e vlc: non vanno filmati avi

Messaggioda 414N » lun apr 11, 2011 15:59

james2221 ha scritto:james2221 il procastinatore

Beh, visto che scegli di fregiarti di tale titolo, almeno scrivilo bene (procrastinatore). ;)
Magari non adesso, ma tra un po' :D
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » lun apr 11, 2011 16:06

...e pensare che ero convinto fosse scritto giusto...
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10

Re: banshee e vlc: non vanno filmati avi

Messaggioda rik70 » lun apr 11, 2011 17:36

@james2221

Eh eh, :)
...ci credo che funzica: la VLC di Alien - come diceva 414N - è una build "statica": non ha bisogno delle ffmpeg e di tante altre dipendenze installate sul sistema.

In effetti non è proprio conforme alla filosfia di slackware, che mi sembra di capire sia improntata a evitare il + possibile eseguibili statici.

Ma non vorrei dire fesserie :roll:
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1179
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: banshee e vlc: non vanno filmati avi

Messaggioda james2221 » mar apr 12, 2011 6:59

ciao
risolto anche banshee:
ho ri-verificato tutte le dipendenze, tutto sommato neanche molte, aggiornate alla versione piu recente, non ne mancava nemmeno una ma è probabile che una di queste avesse dei problemi, adesso funge.
Unico problema: su alcuni filmati l'audio non è perfetto, ossia manca per esempio il parlato mentre la colonna sonora musicale si sente benissimo. Ma eventualmente cìè Vlc.
ciao e grazzz a tuttt per la pazienza

procrastinare ho troppe erre, come purtroppo, proprio e simili, bisognerebbe rendere l tutto piu fluido: procastinare pultroppo propio
james il procRastinatore
james2221
Linux 2.4
Linux 2.4
 
Messaggi: 200
Iscritto il: dom feb 06, 2011 0:28
Località: brescia
Slackware: 14 86_64
Desktop: xfce4.10


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron